package emps.v4_rekordy;

import java.util.List;
import java.util.OptionalDouble;

import javax.swing.JOptionPane;

public class F4_SredniaJedenJob {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        String szukanyJob = JOptionPane.showInputDialog("Podaj nazwę stanowiska", "Programmer");
        
        OptionalDouble srednia = emps.stream()
            .filter(emp -> emp.jobTitle().equals(szukanyJob))
            .mapToInt(Employee::salary)
            .average();
        
        if(srednia.isPresent()) {
            JOptionPane.showMessageDialog(null, "Średnia pensja: " + srednia.getAsDouble());
        } else {
            JOptionPane.showMessageDialog(null, "Nikt nie pracuje na stanowisku " + szukanyJob,
                    "Brak dancyh", JOptionPane.WARNING_MESSAGE);
        }
    }

}

